fltk1.1 (1.1.10-24) unstable; urgency=medium

  * debian/compat: Advance to 10 (holding off on 11 due to lack of
    --runstatedir support).
  * debian/control:
    - Add pkg-config to Build-Depends.
    - Advance debhelper Build-Depends version constraint to (>= 10~).
    - Rules-Requires-Root: no (confirmed not to affect binary packages).
    - Vcs-{Browser,Git}: Move to salsa.debian.org.
    - Standards-Version: 4.1.3 (was just missing nodoc, now implemented).
  * debian/rules:
    - Address FTCBFS, based on a patch from Helmut Grohne (Closes: #887636).
      + Avoid configuring during clean.
      + Do not pass build architecture compiler to configure.
      + In arch-only builds, limit coverage of test/ to the three targets we
        specifically need for fltk1.1-games.  (Many of the others involve
        trying to run freshly built fluid.)
    - Pass "/usr/bin/pkg-config freetype2" off as FTCONFIG (in lieu of
      freetype-config, which is now deprecated).  (Closes: #892341.)
    - Set DEB_BUILD_MAINT_OPTIONS more readably.
    - Use ?= for DEB_HOST_ARCH, as already done for DEB_HOST_MULTIARCH.
    - override_dh_auto_build-indep: Support nodoc in DEB_BUILD_OPTIONS.
    - Run dh --without autoreconf; debhelper enables autoreconf by default
      as of compat level 10, but it breaks here and isn't worth fixing.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 11 Mar 2018 21:30:58 -0400

fltk1.1 (1.1.10-23) unstable; urgency=medium

  * debian/control:
    - Canonicalize with the help of cme fix.  In particular, declare
      Standards-Version: 3.9.8 (already compliant, not that cme checked).
    - Retire explicit libfltk1.1-dbg package in favor of automatic -dbgsym
      packages.
  * debian/libfltk1.1.symbols: GCC's stopped emitting one more destructor
    variant.
  * debian/rules:
    - Stop collecting debug symbols in an explicit libfltk1.1-dbg package.
    - Drop the fltk-config.unhardened business, which proved insufficient.
      (Do, however, postprocess fltk-config to avoid emitting the
      -fdebug-prefix-map=... flag intended to *improve* reproducibility!)
    - Configure --with-optim=... so fltk-config --optim won't claim -Os.
  * debian/.gitignore: Resync.
  * fltk-config.in: Filter out -D*, -f*, and -W*, not just -g* and -O* (but
    leave --optim output alone for reference).  (See #828081.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 23:25:20 -0500

fltk1.1 (1.1.10-22) unstable; urgency=medium

  * debian/control: Drop explicit Multi-Arch: no setting, per
    https://lists.debian.org/debian-devel/2016/01/msg00688.html.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 14 Feb 2016 19:38:03 -0500

fltk1.1 (1.1.10-21) unstable; urgency=medium

  * debian/.gitignore: Ignore debhelper-build-stamp.
  * debian/control: Formally declare libfltk1.1-dev to be Multi-Arch: no,
    per hardcoded multiarch paths (to static libraries) in fltk-config.
  * debian/libfltk1.1.symbols: Mark one symbol newly elided by GCC 6 as
    optional.  (With the below, Closes: #811968.)
  * src/fl_draw.cxx: Move the min macro's definition down, to ensure no
    headers have the opportunity to undefine it.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 14 Feb 2016 17:47:33 -0500

fltk1.1 (1.1.10-20) unstable; urgency=medium

  * debian/control:
    - Drop build dependency on imagemagick.
    - Move libasound2-dev to Build-Depends-Arch.
    - Standards-Version: 3.9.6 (already compliant).
    - Modernize Vcs-* URLs.
  * debian/fltk1.1-games.install: Stop installing XPM icons.
  * debian/fltk1.1-games.menu: Retire in favor of .desktop files, per #741573.
  * debian/rules:
    - Stop generating XPM icons, needed only for the retired .menu entries.
    - Mark override_dh_{auto_install,makeshlibs,strip} as arch-only.
      (indep-only [-A] builds still need to build and run fluid for the sake
      of some installed examples).
    - Preserve fltk.spec across override_dh_auto_{clean,configure}.
  * debian/source/options: Rename back from local-options, per dgit.
  * debian/.gitignore: Unignore patches, per dgit.
  * documentation/Makefile: Postprocess fltk.{pdf,ps} to avoid dates or
    unreproducible IDs, following the general lead of
    https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
  * documentation/fluid.html: Tweak syntax so htmldoc won't fail.
  * fltk.spec: Reinstate, per dgit.
  * .gitignore: Stop ignoring fltk.spec.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 31 Dec 2015 21:25:29 -0500

fltk1.1 (1.1.10-19) unstable; urgency=medium

  * debian/fltk1.1.symbols: Mark previously mandatory symbols Clang 3.4
    doesn't emit as optional.
  * fluid/Fl_Type.h: Give ::make_type_browser a non-friend declaration
    because it has a default argument.  (Closes: #755228.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 23 Jul 2014 23:39:38 -0400

fltk1.1 (1.1.10-18) unstable; urgency=medium

  * debian/fltk1.1.symbols: Mark the two previously mandatory symbols GCC
    4.8 doesn't emit as optional.  (Closes: #746848.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 13 May 2014 22:31:26 -0400

fltk1.1 (1.1.10-17) unstable; urgency=medium

  * debian/libfltk1.1.symbols:
    - Resolve most optional symbols by assuming GCC 4.6 or newer, already
      true as of wheezy.
    - Re-flag symbols absent when building with clang 3.3 as optional.
      (NB: Building with clang will still fail because it misoptimizes the
      fortified getcwd wrapper, causing fluid to enter an infinite loop.)
  * Standards-Version: 3.9.5 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 20 Jan 2014 12:33:41 -0500

fltk1.1 (1.1.10-16) unstable; urgency=low

  * fltk-config.in: Fix --ldflags output to reinstate -lX11 (to account for
    potential calls to XCreatePixmap via the fl_create_offscreen macro) and to
    omit the explicit -L flag, as the script's automatic filtering of standard
    directories doesn't account for multiarch paths.  (See #713933 in fltk1.3.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 27 Jun 2013 21:55:14 -0400

fltk1.1 (1.1.10-15) unstable; urgency=low

  * debian/libfltk1.1.symbols: Flag symbols absent when built with Clang 3.2,
    and in one instance also with GCC 4.8, as optional.  (Closes: #701277.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Mar 2013 14:15:25 -0500

fltk1.1 (1.1.10-14) unstable; urgency=medium

  * debian/rules:
    - Keep hardening flags out of the installed fltk-config by adding an
      extra configure run with them disabled and using the resulting
      fltk-config.  (See #677705.)
    - Explicitly use hardened CPPFLAGS.
  * .gitignore: add fltk-config.unhardened.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 18 Jun 2012 21:56:07 -0400

fltk1.1 (1.1.10-13) unstable; urgency=low

  * debian/control: drop ancient version on libfltk1.1-dev's libxft-dev
    suggestion.
  * debian/rules:
    - Pass hardened LDFLAGS to configure as DSOFLAGS too.  (Closes: #663278.)
    - Enable full hardening.
  * debian/source/options: rename to (git-only) local-options, so any
    source patches from NMUs will wind up in separate files.
  * src/Makefile: substitute -fPIC for -fPIE in C(XX)FLAGS.
  * test/Makefile: link the threads demo with LDFLAGS, not CXXFLAGS!
  * debian/po/pt_BR.po: update Brazilian Portuguese translation, thanks
    to J. S. Júnior.  (Closes: #663493.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 15 Mar 2012 22:41:00 -0400

fltk1.1 (1.1.10-12) unstable; urgency=low

  * debian/control:
    - Wrap and sort (build) dependencies.
    - Substitute libpng-dev for libpng12(-0)-dev.  (Closes: #662328.)
    - Require debhelper (>= 9), which has been final for some time.
    - Standards-Version: 3.9.3.  (No changes needed.)
  * debian/libfltk1.1-dev.install: sort as well.
  * debian/po/pl.po: add Polish translation, thanks to Michał Kułach.
    (Closes: #661067.)
  * debian/po/it.po: update Italian translation, thanks to Beatrice Torracca.
    (Closes: #661926.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Mar 2012 18:43:00 -0500

fltk1.1 (1.1.10-11) unstable; urgency=low

  * debian/po/nl.po: update Dutch translation, thanks to Jeroen Schot.
    (Closes: #651845.)
  
 -- Aaron M. Ucko <ucko@debian.org>  Wed, 22 Feb 2012 22:01:13 -0500

fltk1.1 (1.1.10-10) unstable; urgency=high

  * src/Fl_PNG_Image.cxx: fix regression in previous upload that
    accidentally broke support for non-transparent PNG images.
    (Closes: #650286; thanks to Steve Cotton for the report and patch.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 28 Nov 2011 23:09:26 -0500

fltk1.1 (1.1.10-9) unstable; urgency=low

  * src/Fl_PNG_Image.cxx: obtain PNG header details via formal accessors,
    for compatibility with libpng versions (notably 1.5) that make the
    relevant structures private.  (Closes: #648135.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 11 Nov 2011 16:43:31 -0500

fltk1.1 (1.1.10-8) unstable; urgency=low

  * FL/forms.h, fluid/Fl_Function_Type.cxx, fluid/file.cxx,
    src/Fl_File_Chooser2.cxx, src/forms_compatability.cxx (sic):
    avoid calling fl_alert and the like with non-constant strings,
    as caught by -Werror=format-security.  (Closes: #643378.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 02 Oct 2011 00:06:32 -0400

fltk1.1 (1.1.10-7) unstable; urgency=low

  * debian/control:
    - Make libfltk1.1-dbg Multi-Arch: same, as it will only cover libraries;
      eliminate a stray newline in its description.
    - Drop fluid, which the fltk1.3 source package is taking over.
  * debian/fluid.*: Remove accordingly.
  * debian/rules:
    - Stop installing any fluid-related files.
    - Don't bother keeping debugging symbols for games.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Jul 2011 21:53:55 -0400

fltk1.1 (1.1.10-6) unstable; urgency=low

  * debian/control:
    - Revert overzealous Multi-Arch: same setting for libfltk1.1-dbg, which
      also ships debugging symbols for executables in non-multiarch paths.
    - Prepare for the libjpeg 8 transition by build-depending on, and
      having libfltk1.1-dev suggest, the virtual libjpeg-dev package.
  * debian/changelog: Correct Danish translator's name in previous entry.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 20 Jun 2011 19:08:49 -0400

fltk1.1 (1.1.10-5) unstable; urgency=low

  * Build for multiarch, both on principle and per historical interest
    (as demonstrated by ia32-libs bug #441406):
    - debian/compat: Advance to 9.
    - debian/control: Advance build dependency on debhelper to (>= 8.1.3).
      Add Multi-Arch: same and Pre-Depends: ${misc:Pre-Depends} for libfltk1.1,
      Multi-Arch: same for libfltk1.1-dbg, and Multi-Arch: foreign for fluid.
    - debian/libfltk1.1(-dev).install: Match multi-arch paths.
    - debian/rules: Pass a multi-arch libdir to configure, and substitute it
      in FLTKConfig.cmake (which however remains in /usr/lib/fltk for now).
    - debian/FLTKConfig.cmake: Rename to FLTKConfig.cmake.in and
      un-hardcode the library directory.
  * debian/po/da.po: Add, thanks to Joe Dalton.  (Closes: #621359.)
  * debian/fltk1.1.symbols: Add symbols introduced by GCC 4.5 or 4.6, but
    mark them as optional for the sake of architectures (ia64, sparc)
    that still default to 4.4.
  * debian/control: Standards-Version: 3.9.2.  (No changes needed.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 13 Jun 2011 21:50:07 -0400

fltk1.1 (1.1.10-4) unstable; urgency=low

  * src/Fl_x.cxx: fix cut/copy/paste operations on 64-bit architectures
    per http://www.fltk.org/str.php?L2419, thanks to Valerio's report.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 20 Jan 2011 20:41:59 -0500

fltk1.1 (1.1.10-3) unstable; urgency=low

  * debian/libfltk1.1.symbols: tag one symbol emitted *only* by GCC 4.3.x
    and 4.4.x (but not 4.5.x or up) as optional.  (Closes: #609245.)
  * debian/compat: advance to 8, as it is safe to do so.
  * debian/control:
    - Advance debhelper requirement to (>= 8) per the above.
    - Advance dpkg-dev requirement to (>= 1.15.7) for dpkg-buildflags.
    - Generally clean up relationships; don't worry about anything pre-etch,
      and wildcard the build-dep on libasound2-dev to [linux-any].
    - Set Vcs-* fields to point to (new) personal git.d.o repository.
    - Declare compatibility with Policy version 3.9.1.
  * debian/rules:
    - Obtain baseline {C,CXX,LD}FLAGS from dpkg-buildflags rather than
      relying on them to be in the environment courtesy of dpkg-buildpackage.
    - Stop passing -D_REENTRANT, which is not only obsolete but redundant.
  * debian/source/{format,options,patch-header}: advance to 3.0 (quilt),
    albeit in single-debian-patch mode per VCS use, for .orig.tar.bz2 support.
  * fluid/fluid.desktop: replace the Exec command (which used cd) with a Perl
    one-liner for compatibility with more desktop environments. (LP: #569518.)
  * debian/fluid.lintian-overrides: adjust accordingly.
  * fltk-config.in: strip -[gO]* from --c(xx)flags output. (LP: #606032.)
  * (debian/).gitignore: Direct git to ignore content generated during build.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 09 Jan 2011 18:24:10 -0500

fltk1.1 (1.1.10-2) unstable; urgency=low

  * src/Makefile: link libfltk.so.1.1 against -lpthread, as fluid now
    otherwise fails to link on the Hurd (with complaints that libfltk.so.1
    contains undefined references to pthread_mutexattr_*).
  * debian/source.lintian-overrides: retire per Lintian 2.3.1.  (See #553264.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Jan 2010 22:05:04 -0500

fltk1.1 (1.1.10-1) unstable; urgency=low

  * New upstream release.
  * {fluid,test}/Makefile: link against all directly referenced libraries,
    even if they are also indirect dependencies, to fix build errors with
    binutils-gold, which defaults to --no-add-needed.  (Closes: #554365.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 30 Dec 2009 22:55:19 -0500

fltk1.1 (1.1.10~rc3-1) unstable; urgency=low

  * New upstream release candidate.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 02 Nov 2009 21:33:34 -0500

fltk1.1 (1.1.10~rc2-3) unstable; urgency=low

  * debian/FLTKConfig.cmake: belatedly advance FLTK_VERSION_PATCH to 10.
  * debian/{fluid,source}.lintian-overrides: override spurious Lintian
    diagnostics; fluid.desktop's command is legitimate, as is the
    artificial debian/CMakeCache.txt discussed in #553264.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 29 Oct 2009 23:20:55 -0400

fltk1.1 (1.1.10~rc2-2) unstable; urgency=low

  * debian/libfltk1.1.symbols: prepare for the GCC 4.4 transition by
    tagging three symbols (for inline methods) emitted *only* by GCC 4.3.x
    as optional.  (Closes: #551612; LP: #455418.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 Oct 2009 22:18:12 -0400

fltk1.1 (1.1.10~rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * debian/copyright: extend date range through 2009.
  * fluid/*: revert i18n patch (#333401); although I still support the
    general idea, it proved problematic in practice.  (Translated strings
    weren't always properly isolated to the GUI, and the only translation
    wasn't actively maintained anyway.)
  * debian/fluid.install: update accordingly.  (No more fluid.mo.)
  * Update Spanish Debconf translation, thanks to Franciso Javier Cuadrado.
    (Closes: #513692.)  Apologies for the delay; the submission was slightly
    late for lenny, and as such no longer merited an upload on its own.
  * debian/control:
    - List ${misc:Depends} in Depends across the board, as future Debhelper
      versions could conceivably generate content for it.
    - Clean up Section fields: libfltk1.1 is already implicitly in libs, and
      libfltk1.1-dbg is in the newfangled debug section nowadays. ;-)
    - Advance Standards-Version to 3.8.3.  (No further changes required.)
    - Require debhelper (>= 7.0.50) for further rules simplification.
  * debian/rules:
    - On alpha, lock in a version of 1.1.10~rc2 for symbols introduced when
      building with GCC 4.3, which is now the default on that platform too.
    - Simplify further per debhelper 7.0.50+'s override_dh_* support.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 05 Oct 2009 23:30:45 -0400

fltk1.1 (1.1.9-6) unstable; urgency=low

  * The "belated translation updates keep rolling in" release.
  * Update Japanese Debconf translation, thanks to Hideki Yamane.
    (Closes: #494052.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 10 Aug 2008 15:27:05 -0400

fltk1.1 (1.1.9-5) unstable; urgency=low

  * Update Swedish Debconf translation, thanks to Martin Ågren.
    (Closes: #491533.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 23 Jul 2008 14:55:08 -0400

fltk1.1 (1.1.9-4) unstable; urgency=low

  * Debian still defaults to GCC 4.2 on alpha at present (2008-06-11);
    strip symbols introduced when building with 4.3 regardless of actual
    compiler version so that when the transition occurs, the generated
    dependencies will be suitably tight.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 11 Jun 2008 18:12:25 -0400

fltk1.1 (1.1.9-3) unstable; urgency=low

  * Fl_Choice's post-1.1.7 policy of insisting on a white background in
    the default scheme doesn't work so well when the user has requested a
    white (or nearly white) foreground; revert to honoring the user's
    background choice as well in such cases.  (Closes: #484660.)
  * Update symbols file, as building with GCC 4.3 appears to have
    introduced a handful of new symbols.
  * Declare compliance with Policy 3.8.0.  (No changes required.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 10 Jun 2008 20:12:09 -0400

fltk1.1 (1.1.9-2) unstable; urgency=low

  * Tweak fl_xfont emulation to map generic font names (sans, etc.) to
    customary equivalents (such as helvetica).  (Closes: #481026.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 May 2008 21:12:54 -0400

fltk1.1 (1.1.9-1) unstable; urgency=medium

  * New upstream release after all, with bug fixes that didn't quite
    manage to make 1.1.8.
  * Migrate from CDBS to Debhelper 7, adding a build dependency on
    dpkg-dev (>= 1.14.17) for baseline CFLAGS determination.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 09 May 2008 23:38:09 -0400

fltk1.1 (1.1.8-1) unstable; urgency=medium

  * Final upstream 1.1.8 (and 1.1.x) release; no functional changes from rc3.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 29 Mar 2008 09:48:46 -0400

fltk1.1 (1.1.8~rc3-1) unstable; urgency=low

  * New upstream release candidate.
  * Drop debian/rules logic to fix games' .desktop Categories, which
    upstream has now modernized.
  * Install cmake modules into /usr/lib/fltk and add a dummy cache, per
    FindFLTK.cmake's expectations.  (Closes: #437967.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 24 Mar 2008 18:28:34 -0400

fltk1.1 (1.1.8~rc2-2) unstable; urgency=medium

  * Restore single-line fltk-config --libs output for compatibility with
    callers that expected such, even though they probably meant to use
    --ld(static)flags anyway.  (Closes: #470327.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 11 Mar 2008 19:16:27 -0400

fltk1.1 (1.1.8~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Mar 2008 20:26:14 -0400

fltk1.1 (1.1.8~rc1-2) unstable; urgency=low

  * Fix upstream fl_read_image() regression in dealing with
    double-buffered windows.  (Closes: #469089.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 03 Mar 2008 19:53:26 -0500

fltk1.1 (1.1.8~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Reformat copyright file slightly to ensure legal validity (per Lintian).
  * Readjust fltk1.1-doc's doc-base section to Programming/C++ per
    doc-base 0.8.10.
  * Add a libfltk1.1.symbols file to permit looser reverse dependencies in
    many cases.
  * Formally move to Debhelper 6, bumping the cdbs requirement to 0.4.51
    to avoid #462130.
  * Update watch file to handle release candidates correctly.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 28 Feb 2008 19:54:09 -0500

fltk1.1 (1.1.7-7) unstable; urgency=low

  * Apply upstream fix (to be included in 1.1.8 if and when it ever
    materializes) for "fluid -c"'s inappropriate X usage when generating
    code for Fl_Help_View widgets.  (Closes: #455232.)
  * Adjust shared library linkage per dpkg-shlibdeps's new warnings.  The
    only remaining warnings concern libm, which g++ pulls in even when not
    explicitly asked to.
  * Belatedly modernize fltk1.1-doc's doc-base section (Apps -> Applications).
  * Declare compliance with Policy 3.7.3.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.  (Closes: #452494.)
  [Debconf translation updates]
  * French.  (Closes: #453262.)
  * Basque.  (Closes: #453275.)
  * Galician.  (Closes: #453327.)
  * Vietnamese.  (Closes: #453380.)
  * Finnish.  (Closes: #453643.)
  * Portuguese.  (Closes: #453913.)
  * German.  (Closes: #454643.)
  * Czech.  (Closes: #455238.)
  * Russian.  (Closes: #455964.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 17 Dec 2007 19:26:41 -0500

fltk1.1 (1.1.7-6) unstable; urgency=low

  * Turn fl_xfont into a smart pointer capable of on-demand
    (re)initialization so that future releases with improved core-font
    selection logic need not run it on every single font change.
  * Correct debian/watch.  (Closes: #449636.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Nov 2007 20:23:57 -0500

fltk1.1 (1.1.7-5) unstable; urgency=low

  * Ship binaries of the example games, with ALSA enabled on Linux, in a
    new fltk1.1-games package.  (NB: although upstream's names for the
    games do not appear to conflict with anything currently in Debian,
    they are sufficiently generic that the Debian packages err on the side
    of caution by prepending fl.)
  * Further streamline all executables' shared-library dependencies.
  * Move .desktop files to /usr/share/applications, as /usr/share/applnk
    is deprecated and KDE-only.  (Closes: #444063)
  * Run dh_icons for fluid and fltk1.1-games, also per #444063.
  * Modernize games' .desktop files' Categories settings as well.
  * Drop gratuitous (and typo-ridden) DEB_DH_SHLIBDEPS_ARGS setting.
  * fltk-config(.in) --compile: link FLTK dynamically.  (Closes: #441141.)
  * Declare home page centrally (per dpkg 1.14.6) rather than in descriptions.
  * Accommodate the (atypical) possibility of multi-word CC and CXX settings.
  * Declare those inter-package dependencies that need to be tight with
    ${binary:Version} rather than the deprecated ${Source-Version}.
  * Modernize fluid's Debian menu section (Apps -> Applications).
  * Expand debian/copyright; in particular, clarify that licensees have
    the option of applying newer LGPL versions (than v2.0).
  * Drop old workaround for #365085 in favor of simply requiring a new
    enough cdbs.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 13 Oct 2007 16:24:19 -0400

fltk1.1 (1.1.7-4) unstable; urgency=low

  * configure(.in), {src,test}/Makefile: drop unnecessary hardcoded
    dependencies on libXext, zlib, and libGLU, per Nathanael Nerode's
    patch; inaugurate libfltk1.1-dev's NEWS.Debian with a suitable entry.
    (Closes: #405233.)
  * debian/po/es.po: new Spanish translation for libfltk1.1-dev, courtesy
    of César Gómez Martín <cesar.gomez@gmail.com> and Manuel Porras
    Peralta, unfortunately too late for etch.  (Closes: #414453.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 Apr 2007 16:28:19 -0400

fltk1.1 (1.1.7-3) unstable; urgency=low

  * debian/po/pt.po: new (European) Portuguese translation for
    libfltk1.1-dev, courtesy of Pedro Ribeiro <p.m42.ribeiro@gmail.com>.
    (Closes: #410733.)
  * Declare (preexisting) compliance with Standards-Version: 3.7.2.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 21 Feb 2007 16:56:13 -0500

fltk1.1 (1.1.7-2) unstable; urgency=low

  * debian/po/it.po: new Italian Debconf translation for libfltk1.1-dev,
    thanks to Andrea Bolognani <eof@kiyuko.org>.  (Closes: #358191.)
  * Merge in more fixes from the 1.1 branch, whose likelihood of seeing
    another upstream release is highly uncertain; bump shlibs requirement
    because these add two new public methods.
  * (Build-)depend directly on libgl(u)1-mesa-dev by default (but keep
    the alternate [build-]dependencies on virtual packages, of course).
  * Install fluid-32.xpm, and use it as fluid's menu icon.
  * Move up to debhelper compatibility level 5, and make use of cdbs
    0.4.37's automatic -dbg package handling.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Apr 2006 14:34:24 -0400

fltk1.1 (1.1.7-1) unstable; urgency=low

  * New upstream release; among many other things:
    - Fixes nonsensical sentence in documentation.  (Closes: #341747.)
    - Documents new foreground()/background() paradigm.  (Closes: #343550.)
  * Enable (newly added) Xinerama support and add an appropriate build
    dependency.
  * Build with the default GCC version on all architectures, as g++-4.0 no
    longer suffers from bug #336463 as of revision 4.0.2-4.  (Closes: #342965.)
  * Generally resynch and tidy up debian/rules.
  * Rework installation slightly, and install fluid's new .desktop files.
  * Update version info in pregenerated FLTKConfig.cmake, and stop shipping
    a redundant copy of FLTKUse.cmake now that it's materialized upstream.
  * Extend fluid's internationalization to the two new fluid-generated
    modules (print_panel and template_panel) and attempt (rather
    conservatively, as I know extremely little Spanish) to bring its
    Spanish translation up to date.  Further assistance, and for that
    matter a Spanish Debconf translation, would be appreciated.
  * Resynch with upstream SVN as of Jan. 31, which just adds some belated
    bugfixes.
  * Make fltk-config(.in) list indirect dependencies only for
    --ldstaticflags (vs. --ldflags), and accordingly downgrade most of
    libfltk1.1-dev's dependencies to suggestions.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  1 Feb 2006 18:02:47 -0500

fltk1.1 (1.1.6-10) unstable; urgency=low

  * Build with g++-3.4 on mips(el) to work around GCC bug #336463.

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  5 Nov 2005 15:01:51 -0500

fltk1.1 (1.1.6-9) unstable; urgency=low

  * Internationalize fluid and add a Spanish translation, all thanks to
    Miriam Ruiz.  (Closes: #333401.)
  * Backport upstream patch to use (user-specified) FL_FOREGROUND_COLOR et
    al. more widely.  (Closes: #332489.)
  * Ship .cmake files (though cmake already supplies FindFLTK.cmake).
    (Closes: #333245.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  4 Nov 2005 22:41:43 -0500

fltk1.1 (1.1.6-8) unstable; urgency=low

  * debian/control: drop long-obsolete alternate (build-)dependencies on
    ancient versions of xlibs-dev.
  * debian/po/*: force an update to ensure a proper Report-Msgid-Bugs-To field.
  * debian/po/sv.po: new Swedish translation, thanks to Daniel Nylander
    <po@danielnylander.se>.  (Closes: #331473.)
  * BTW, libfltk1.1-dev's merged templates file should now be encoded in
    UTF-8 throughout rather than in a hodgepodge of national encodings.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Oct 2005 12:02:06 -0400

fltk1.1 (1.1.6-7) unstable; urgency=medium

  * Clean up build-dependencies now that the dust from the libglu1c2
    fiasco has settled.
  * Give Fl_Check_Browser an appropriate destructor to keep it from
    leaking memory.  (Closes: #321285, but affected programs may need to
    be recompiled to get the fix.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Aug 2005 18:29:23 -0400

fltk1.1 (1.1.6-6) unstable; urgency=low

  * debian/po/vi.po: add a Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au>.  (Closes: #314172.)
  * debian/*: C++ transition.  (Closes: #317539.)
    - libfltk1.1c102 renamed back to libfltk1.1, as no package by that
      name ever appeared in a release; redundant conflicts dropped.
    - Make sure to use a post-transition libglu1c2 such as libglu1-xorg.
  * debian/control: standards-version 3.6.2 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 12 Jul 2005 17:36:12 -0400

fltk1.1 (1.1.6-5) unstable; urgency=medium

  * Revert previous change, which seems to have been ineffective for some
    reason, in favor of commenting out the problematic Makefile rule
    altogether.  (Closes: #310151.)
  * debian/control: Go back to specifying the URL as part of the
    description rather than via a non-standard field that doesn't seem to
    have caught on.  (Closes: #310240.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 May 2005 13:57:06 -0400

fltk1.1 (1.1.6-4) unstable; urgency=medium

  * debian/rules: touch configure to avoid trying to run autoconf as part
    of the build.  (This got lost when converting to CDBS years ago; I
    don't know why it didn't bite any of the many intervening releases.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 May 2005 17:40:16 -0400

fltk1.1 (1.1.6-3) unstable; urgency=medium

  * debian/po/cs.po: add a Czech translation, thanks to Miroslav Kure
    <kurem@debian.cz>.  (Closes: #308058.)
  * debian/po/ja.po: add a Japanese translation, thanks to Atsushi Shimono
    <shimono@kwasan.kyoto-u.ac.jp>.  (Closes: #309730.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 19 May 2005 21:17:45 -0400

fltk1.1 (1.1.6-2) unstable; urgency=low

  * test/*.cxx: Apply patch from Andreas Jochens <aj@andaco.de> to fix
    bogus pointer->int casts, which GCC 4.0 rightly treats as errors on
    64-bit systems.  (Closes: #284168.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  4 Dec 2004 12:59:54 -0500

fltk1.1 (1.1.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove oddly named stray po file that accidentally crept in last time.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Nov 2004 11:52:54 -0500

fltk1.1 (1.1.5-2) unstable; urgency=low

  * debian/po/pt_BR.po: add a Brazilian Portuguese Debconf translation,
    thanks to Tiago Bortoletto Vaz <tiagovaz@im.ufba.br> (Closes: #281459.)
  * src/fl_font_xft.cxx: kludge in support for using the Xlib code in
    fl_font_x.cxx as a fallback, for instance to work around bugs such as
    #277602 and #281203.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 16 Nov 2004 10:44:06 -0500

fltk1.1 (1.1.5-1) unstable; urgency=medium

  * New upstream release; Debian patches merged forward as usual.
  * debian/rules:
    - stop setting DEB_MAKE_INSTALL_TARGET now that upstream supports DESTDIR.
    - resync OPTIM setting with configure(.ac).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Oct 2004 22:30:05 -0400

fltk1.1 (1.1.4+1.1.5rc3-1) unstable; urgency=low

  * New upstream release candidate; Debian patches merged forward as usual.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 27 Sep 2004 11:46:22 -0400

fltk1.1 (1.1.4+1.1.5rc2-1) unstable; urgency=low

  * New upstream release candidate; Debian patches merged forward as usual.
  * debian/watch: new, in hopes of making DEHS somewhat happier; only
    marginally useful due to lack of support for release candidates, though.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 Jul 2004 21:12:39 -0400

fltk1.1 (1.1.4+1.1.5rc1-3) unstable; urgency=low

  * debian/control: Make libfltk1.1-dev's description slightly more detailed.
  * debian/libfltk1.1-dev.config: determine header-links's default by
    inspecting /usr/include/FL.
  * debian/libfltk1.1-dev.postrm: remove gratuitous and potentially
    fragile use of debconf.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 Jul 2004 21:08:49 -0400

fltk1.1 (1.1.4+1.1.5rc1-2) unstable; urgency=low

  * debian/{control,rules}: add a (new-style) libfltk1.1c102-dbg package.
  * New Debconf translations (debian/po/*.po):
    - nl [Dutch] by Luk Claes <luk.claes@ugent.be>.  (Closes: #251243.)
    - de [German] by Erik Schanze <mail@erikschanze.de>.  (Closes: #252724.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 26 Jun 2004 19:35:37 -0400

fltk1.1 (1.1.4+1.1.5rc1-1) unstable; urgency=low

  * New upstream release candidate, incorporating the fix for #226014.
    Remaining patches ported forward (usually trivially).
  * FL/Makefile.in: revert changes (now handled more cleanly).
  * debian/libfltk1.1-dev.links: new, for the two header-related links we
    actually want.
  * debian/rules:
    - don't let CDBS pass CFLAGS to configure; FLTK's build system is
      somewhat idiosyncratic and prefers such settings in OPTIM.
    - take advantage of configure's new --without-links option.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Apr 2004 21:55:19 -0400

fltk1.1 (1.1.4-6) unstable; urgency=low

  * The "Oh, so THAT'S where the promised translation went" release.
  * debian/po/fr.po: new, per Eric Madesclair <eric-m@wanadoo.fr>.
    (Closes: #232941.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Mar 2004 23:13:18 -0500

fltk1.1 (1.1.4-5) unstable; urgency=medium

  * Urgency medium due to fix for FTBFS.
  * aclocal.m4: Supply Jurij Smakov's AC_PATH_X_CORRECTED et al. from
    #233969, since FLTK does not use Xt.
  * configure(.in): Use it.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Mar 2004 19:48:07 -0500

fltk1.1 (1.1.4-4) unstable; urgency=low

  * debian/changelog: fix thinko in previous entry.  (The change was to
    rules, not changelog!)
  * debian/control:
    - adjust X (build-)dependencies per 4.3 reorg.
    - add libz-dev and libgl(u)-dev as alternatives for the relevant packages.
    - rework descriptions.
  * debian/menu: quote all values, restoring Lintian cleanliness.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  3 Mar 2004 11:00:29 -0500

fltk1.1 (1.1.4-3) unstable; urgency=low

  * debian/libfltk1.1-dev.templates: gettextize despite a lack of
    translations, as this is apparently a chicken-and-egg situation.
  * debian/rules: fix DEB_DH_SHLIBDEPS_ARGS.

 -- Aaron M. Ucko <ucko@debian.org>  Sun,  8 Feb 2004 09:54:11 -0500

fltk1.1 (1.1.4-2) unstable; urgency=low

  * debian/control:
    - (Build-)depend on libxft-dev (>> 2.1.2) rather than libxft2-dev,
      which is now just a virtual alias.  (Closes: #227309.)
    - Bump build-dependency on debhelper to 4.1.46 per cdbs's advice.
  * debian/copyright: spell everything out as required.
  * debian/rules: install CREDITS per above.
  * documentation/intro.html: remove links to dead mirrors.  (Closes: #216039.)
  * src/Fl_Preferences.cxx: don't bother calling makePathForFile until we
    actually want to write something.  (Closes: #226014.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Jan 2004 18:17:33 -0500

fltk1.1 (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Aaron M. Ucko <ucko@debian.org>  Tue,  9 Sep 2003 11:20:24 -0400

fltk1.1 (1.1.3+1.1.4rc2-2) unstable; urgency=low

  * fluid: make sure generated color specifications are actual Fl_Colors.
    (Closes: #207208).
  * debian/rules: remember to compile with -D_REENTRANT per Policy 10.2.
  * debian/control: Standards-Version 3.6.1.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 Aug 2003 21:01:31 -0400

fltk1.1 (1.1.3+1.1.4rc2-1) unstable; urgency=low

  * New upstream release candidate, incorporating (among MANY other things)
    most of our changes, including support for Xft 2.
  * debian/control: Standards-Version increased to 3.6.0 (no changes needed).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 30 Jul 2003 14:32:56 -0400

fltk1.1 (1.1.3+1.1.4rc1-3) unstable; urgency=low

  * debian/libfltk1.1-dev.config: increase priority of question to medium,
    since it seems to be more controversial than anticipated.  (See #196003)
  * debian/rules: clear DEB_MAKE_CHECK_TARGET to avoid breaking with
    cdbs >= 0.4.3.
  * src/fl_font_xft.cxx: make sure to set fl_xfont to something valid,
    albeit not generally the actual requested font, in fl_font().  

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 29 Jun 2003 12:41:36 -0400

fltk1.1 (1.1.3+1.1.4rc1-2) unstable; urgency=medium

  * fluid/Fl_Widget_Type.cxx,src/Fl_Text_Editor.cxx:
    apply upstream's patch for STR #52 (which ate edits in most cases).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 30 May 2003 11:30:58 -0400

fltk1.1 (1.1.3+1.1.4rc1-1) unstable; urgency=low

  * New upstream version (1.1.4 release candidate 1).
  * FL/Makefile.in, debian/libfltk1.1-dev.{config,postinst,postrm,templates}:
    make deprecated *.h headers optional, via Debconf.  (Closes: #179503)
  * Makefile, makeinclude.in: revert DESTDIR hack.
  * configure: regenerate with Autoconf 2.57 rather than 2.13, since
    upstream uses 2.53 and the diff ends up much smaller.
  * debian/control: bump cdbs build-dep to >= 0.2.8.
  * debian/rules:
    - make sure to build libfltk1.1c102's shlibs file before calculating
      fluid's dependencies.
    - set DEB_MAKE_INSTALL_TARGET per cdbs 0.2.8.
    - set version in shlibs file automatically again.
  * debian/rules.manual: retire.
  * src/fl_font_xft.cxx:
    - upstream's fix for gl_font() is Xft1-specific; substitute a much
      cruder version that at least keeps it from segfaulting.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 May 2003 15:44:15 -0400

fltk1.1 (1.1.3-6) unstable; urgency=low

  * debian/rules: re-add -fPIC (and -W*) back to the misleadingly named OPTIM.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 May 2003 08:38:11 -0400

fltk1.1 (1.1.3-5) unstable; urgency=low

  * Sigh, properly write DEB_DH_MAKESHLIBS_ARGS in debian/rules.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 May 2003 23:16:36 -0400

fltk1.1 (1.1.3-4) unstable; urgency=low

  * Rework DESTDIR handling to avoid breaking fltk-config.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 May 2003 22:37:08 -0400

fltk1.1 (1.1.3-3) unstable; urgency=low

  * Adopted; thanks to Stefan for originally packaging it, and Ray for his
    recent build fixes.
  * Makefile: hack in DESTDIR support to make CDBS happy.
  * debian/control: Note adoption; build-dep on CDBS; bump standards version.
  * debian/copyright: Note adoption; drop (old) version number from URL.
  * debian/rules: Convert to CDBS.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 22 May 2003 21:22:35 -0400

fltk1.1 (1.1.3-2.5) unstable; urgency=medium

  * NMU
  * [src/Makefile] Changed linking command for libfltk_forms.so,
    libfltk_images.so and libfltk_gl to get complete inter-library dependency 
    information into them.
  * [Makefile] Changes several "break"s into "exit 1"s in order not to
    silently ignore errors.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 17 May 2003 11:32:21 +0200

fltk1.1 (1.1.3-2.4) unstable; urgency=medium

  * NMU.
  * [debian/rules] Touch configure.in and configure to ensure the build will
    not invoke autoconf (as the previous upload did on an m68k buildd).
  * [debian/control] Follow libpng12-0-dev -> libpng12-dev renaming.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 12 May 2003 06:21:45 +0200

fltk1.1 (1.1.3-2.3) unstable; urgency=medium

  * NMU.
  * [debian/control] Corrected the flwm version number in the Conflicts: line.
  * [documentation/Makefile] With htmldoc 1.8.23 some errors ((preformatted) 
    text too long) occur but the resulting files are still acceptible - ignore 
    htmldoc's exit code.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 May 2003 21:28:52 +0200

fltk1.1 (1.1.3-2.2) unstable; urgency=low

  * NMU again.
  * Fix Xft2-detection patch to include `xft-config --cflags` in CPPFLAGS
    to avoid a gratuitous, unlisted build-dependency on libttf2-dev. (Oops.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  8 May 2003 22:56:19 -0400

fltk1.1 (1.1.3-2.1) unstable; urgency=low

  * NMU with maintainer's permission.
  * Persuade to build against libxft2 after all.  (Closes: #189467)
    - Declares forwards and backwards incompatibility with previous
      versions to be safe.
  * Change section of libfltk1.1-dev to libdevel.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 17 Apr 2003 22:30:47 -0400

fltk1.1 (1.1.3-2) unstable; urgency=low

  * Link in libstdc++ dynamically (!)
  * fix -L path for dh_shlibdeps

 -- Stefan Schwandter <swan@debian.org>  Sat, 15 Mar 2003 16:26:11 +0100

fltk1.1 (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Build-Conflicts libxft2-dev, because configure scripts won't use xft if
    it's installed
  * Change xlibmesa-dev build dependency to xlibmesa-gl-dev, xlibmesa-glu-dev 

 -- Stefan Schwandter <swan@debian.org>  Sat, 15 Mar 2003 14:38:51 +0100

fltk1.1 (1.1.2-2) unstable; urgency=low

  * Compiled with gcc-3.2, libfltk1.1 -> libfltk1.1c102 
  * Small fix in copyright file

 -- Stefan Schwandter <swan@debian.org>  Tue,  7 Jan 2003 16:31:27 +0100

fltk1.1 (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Stefan Schwandter <swan@debian.org>  Sun,  1 Dec 2002 19:49:59 +0100

fltk1.1 (1.1.1-1) unstable; urgency=low

  * New upstream release 
  * fltk1.1-doc: Added ps and pdf docs
  * Install unformatted manpages

 -- Stefan Schwandter <swan@debian.org>  Sun, 27 Oct 2002 23:13:10 +0100

fltk1.1 (1.1.0-4) unstable; urgency=low

  * debian/control:
    + removed libgl-dev dependency again
    + build against libpng12-0-dev

 -- Stefan Schwandter <swan@debian.org>  Sun, 27 Oct 2002 08:53:54 +0100

fltk1.1 (1.1.0-3) unstable; urgency=low

  * debian/control:
    + added libgl-dev to libfltk1.1-dev's deps

 -- Stefan Schwandter <swan@debian.org>  Fri, 11 Oct 2002 21:11:25 +0200

fltk1.1 (1.1.0-2) unstable; urgency=low

  * debian/control:
    + fix my e-mail address
    + some Suggests: changes

 -- Stefan Schwandter <swan@debian.org>  Fri, 11 Oct 2002 18:25:34 +0200

fltk1.1 (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #131427) (closes: #135955)

 -- Stefan Schwandter <swan@debian.org>  Sat,  5 Oct 2002 10:07:26 +0200
